------------------------------------------------------------------------------------
--Name:  	qingrenjie3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-01-05
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(53, 52)
local npc_0 = CppScriptMgr:AddSimplePlayer(1051640, 53, 52, "YoungAlice", 0, 0)
npc_0:SetDir(6)
local effect_0 = CppScriptMgr:AddEffect("zero8159", 53, 52, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(480)
npc_0:SetAction(10)
npc_0:Say("Should auld acquanintance be forgot, and never brought to mind?", 2000)
CppScriptMgr:WaitMilSec(2050)
npc_0:Say("Should auld acquaintance be forgot, and days of auld long syne?", 2000)
npc_0:SetAction(10)
CppScriptMgr:WaitMilSec(1700)
local effect_1 = CppScriptMgr:AddEffect("QL_YiShan", 56, 52, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(730)
local npc_1 = CppScriptMgr:AddSimplePlayer(1055770, 56, 52, "Count", 0, 0)
npc_1:SetDir(2)
CppScriptMgr:WaitMilSec(340)
npc_1:SetAction(190)
npc_1:Say("You are that lark!", 1500)
CppScriptMgr:WaitMilSec(1980)
npc_0:Say("Count! Sorry for disturbing you!", 1500)
npc_0:SetAction(170)
CppScriptMgr:WaitMilSec(2470)
npc_1:Say("Please accept my compliments for your singing, my lady!", 2000)
npc_1:SetAction(200)
CppScriptMgr:WaitMilSec(1210)
local effect_2 = CppScriptMgr:AddEffect("dot_cha_lig", 53, 52, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2990)
CppScriptMgr:SetViewPosByCell(86, 86)
local npc_2 = CppScriptMgr:AddSimplePlayer(21407, 80, 86, "", 0, 0)
local npc_3 = CppScriptMgr:AddSimplePlayer(21877, 82, 83, "", 0, 0)
local npc_4 = CppScriptMgr:AddSimplePlayer(31457, 86, 81, "", 0, 0)
CppScriptMgr:WaitMilSec(1060)
npc_2:Say("Pretty lark.", 1500)
CppScriptMgr:WaitMilSec(1540)
npc_3:Say("Handsome gentleman.", 1500)
CppScriptMgr:WaitMilSec(2210)
npc_4:Say("Such a good match.", 1500)
CppScriptMgr:WaitMilSec(2270)
npc_1:SetDir(1)
npc_0:SetPos(85, 88)
npc_1:SetPos(87, 86)
local effect_3 = CppScriptMgr:AddEffect("NEW-flower-charm3", 85, 88, 33, 1, 1, 1)
local effect_4 = CppScriptMgr:AddEffect("NEW-flower-charm3", 87, 86, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1830)
npc_1:SetAction(220)
npc_1:SetFrameInterval(1000)
CppScriptMgr:WaitMilSec(230)
npc_1:Say("Please listen to my confession. My heart always belongs to you.", 1500)
CppScriptMgr:WaitMilSec(2500)
npc_0:SetAction(101)
CppScriptMgr:WaitMilSec(70)
npc_0:Say("Count...", 1500)
CppScriptMgr:WaitMilSec(4850)